<?php
/*---------------------------------------------------------------*/
/*
    Titre : Create Etiquette                                                                                              
                                                                                                                          
    URL   : https://phpsources.net/code_s.php?id=972
    Date dition     : 15 Fv 2019                                                                                        
    Date mise  jour : 01 Nov 2019
                                                                                       
    Rapport de la maj:                                                                                                    
    - fonctionnement du code vérifié                                                                                    
*/
/*---------------------------------------------------------------*/

    function CreateEtiquetteJPG($Image){
/*
    $Image: Nom de l'image originale  $Source: Chemin absolu du répertoire de
    l'image originale
    $Destination: Chemin absolu du répertoire de l'image réduite
    $ratio: Largeur de l'image réduite.
 */ 

    $Source = './'; // Chemin absolu du répertoire de l'image originale
    $Destination = 'tmp/'; // Chemin absolu du répertoire de l'image réduite
    $ratio =  50; // Largeur de l'image réduite

    $src=imagecreatefromjpeg($Source.$Image);
    $size = getimagesize($Source.$Image); 
    if($size[0] > $size[1]){ 
    
    $im=imagecreatetruecolor(round(($ratio/$size[1])*$size[0]), $ratio); 
    imagecopyresized($im, $src, 0, 0, 0, 0, round(($ratio/$size[1])*$size[0]),
$ratio, $size[0], $size[1]);
    } 
    else{ 
    $im=imagecreatetruecolor($ratio, round(($ratio/$size[0])*$size[1])); 
    imagecopyresized($im, $src, 0, 0, 0, 0, $ratio,
    round($size[1]*($ratio/$size[0])), $size[0], $size[1]);
    } 
    if(!imagejpeg($im, $Destination.$Image)){ 
    print "la création de l'étiquette a echoué pout l'image $Image"; 
    } 
   }


    function CreateEtiquettePNG($Image){

    $Source = './'; // Chemin absolu du répertoire de l'image originale
    $Destination = 'tmp/'; // Chemin absolu du répertoire de l'image réduite
    $ratio =  50; // Largeur de l'image réduite

    $src=imagecreatefrompng($Source.$Image);
    $size = getimagesize($Source.$Image); 
    if($size[0] > $size[1]){ 
    
    $im=imagecreatetruecolor(round(($ratio/$size[1])*$size[0]), $ratio); 
    imagecopyresized($im, $src, 0, 0, 0, 0, round(($ratio/$size[1])*$size[0]),
$ratio, $size[0], $size[1]);
    } 
    else{ 
    $im=imagecreatetruecolor($ratio, round(($ratio/$size[0])*$size[1])); 
    imagecopyresized($im, $src, 0, 0, 0, 0, $ratio,
    round($size[1]*($ratio/$size[0])), $size[0], $size[1]);
    } 
    if(!imagepng($im, $Destination.$Image)){
    print "la création de l'étiquette a echoué pout l'image $Image"; 
    } 
   }
?>